public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/xfsdump/
Date: Tue,  7 Sep 2021 00:50:57 +0000 (UTC)	[thread overview]
Message-ID: <1630975658.69bd2ce367456bdf7529578030ffbf7b454a0e1f.sam@gentoo> (raw)

commit:     69bd2ce367456bdf7529578030ffbf7b454a0e1f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  7 00:47:38 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Sep  7 00:47:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69bd2ce3

sys-fs/xfsdump: drop obsolete sys-apps/dmapi dependency

Bug: https://bugs.gentoo.org/747181
Bug: https://bugs.gentoo.org/804306
Bug: https://bugs.gentoo.org/811891
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-fs/xfsdump/xfsdump-3.1.9-r1.ebuild | 71 ++++++++++++++++++++++++++++++++++
 1 file changed, 71 insertions(+)

diff --git a/sys-fs/xfsdump/xfsdump-3.1.9-r1.ebuild b/sys-fs/xfsdump/xfsdump-3.1.9-r1.ebuild
new file mode 100644
index 00000000000..aafb02db275
--- /dev/null
+++ b/sys-fs/xfsdump/xfsdump-3.1.9-r1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="xfs dump/restore utilities"
+HOMEPAGE="https://xfs.wiki.kernel.org/"
+SRC_URI="https://www.kernel.org/pub/linux/utils/fs/xfs/${PN}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86"
+IUSE="ncurses nls"
+
+RDEPEND="
+	>=sys-apps/attr-2.4.19
+	sys-apps/util-linux
+	sys-fs/e2fsprogs
+	>=sys-fs/xfsprogs-3.2.0
+	ncurses? ( sys-libs/ncurses:0= )
+"
+DEPEND="${RDEPEND}
+	nls? (
+		sys-devel/gettext
+		elibc_uclibc? ( dev-libs/libintl )
+	)
+"
+BDEPEND="ncurses? ( virtual/pkgconfig )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.1.9-prompt-overflow.patch #335115
+	"${FILESDIR}"/${PN}-3.1.9-no-symlink.patch #311881
+	"${FILESDIR}"/${PN}-3.1.6-linguas.patch #561664
+	"${FILESDIR}"/${PN}-3.1.9-fix-docs.patch
+	"${FILESDIR}"/${PN}-3.1.9-skip-inventory-debian-subfolder.patch
+)
+
+src_prepare() {
+	sed -i \
+		-e "/^PKG_DOC_DIR/s:@pkg_name@:${PF}:" \
+		include/builddefs.in \
+		|| die
+
+	sed -i \
+		-e "s:enable_curses=[a-z]*:enable_curses=$(usex ncurses):" \
+		-e "s:libcurses=\"[^\"]*\":libcurses='$(use ncurses && $(tc-getPKG_CONFIG) --libs ncurses)':" \
+		configure || die #605852
+
+	default
+}
+
+src_configure() {
+	unset PLATFORM #184564
+	export OPTIMIZER=${CFLAGS}
+	export DEBUG=-DNDEBUG
+
+	local myeconfargs=(
+		$(use_enable nls gettext)
+		--libdir="${EPREFIX}/$(get_libdir)"
+		--libexecdir="${EPREFIX}/usr/$(get_libdir)"
+		--sbindir="${EPREFIX}/sbin"
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+	# enable verbose build
+	emake V=1
+}


             reply	other threads:[~2021-09-07  0:51 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-07  0:50 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-13 14:51 [gentoo-commits] repo/gentoo:master commit in: sys-fs/xfsdump/ Sam James
2024-10-10 12:20 Arthur Zamarin
2024-10-09  0:06 Jakov Smolić
2024-10-05 14:47 Arthur Zamarin
2024-10-05 13:58 Arthur Zamarin
2024-10-05 13:58 Arthur Zamarin
2024-10-05 11:48 Arthur Zamarin
2024-09-04  7:55 Sam James
2024-05-30  4:36 Ionen Wolkens
2024-05-16  5:56 WANG Xuerui
2024-04-24 12:20 Yixun Lan
2024-04-24 10:33 Sam James
2024-04-24 10:19 Sam James
2024-04-24  9:54 Sam James
2024-04-24  9:54 Sam James
2024-03-06 21:46 Andreas K. Hüttel
2023-10-13 15:11 Sam James
2023-03-04 10:15 Arthur Zamarin
2023-03-04  7:50 Arthur Zamarin
2023-03-04  7:07 Arthur Zamarin
2023-03-04  6:32 Arthur Zamarin
2022-12-21  4:56 Sam James
2022-11-25  6:09 Sam James
2022-11-25  6:02 Sam James
2022-11-25  5:33 Sam James
2022-11-25  5:21 Sam James
2022-08-27  8:27 Sam James
2022-06-21  9:41 David Seifert
2022-05-22  3:21 Sam James
2022-05-22  3:20 Sam James
2022-05-22  3:18 Sam James
2022-05-22  3:18 Sam James
2022-02-14 23:04 Sam James
2022-02-14 23:04 Sam James
2022-01-01 20:08 David Seifert
2021-10-11 23:28 Sam James
2021-10-10 15:38 Agostino Sarubbo
2021-10-10 15:34 Agostino Sarubbo
2021-07-27  3:27 Sam James
2021-05-13 13:55 David Seifert
2020-05-05 21:04 Sergei Trofimovich
2020-03-15 18:41 Agostino Sarubbo
2020-03-15 18:34 Agostino Sarubbo
2020-03-15 18:31 Agostino Sarubbo
2020-03-15 11:45 Agostino Sarubbo
2020-03-14 19:24 Sergei Trofimovich
2020-02-14 13:59 Lars Wendler
2018-05-15 22:28 Sergei Trofimovich
2018-04-07 22:11 Matt Turner
2018-03-31 14:17 Tobias Klausmann
2018-03-29 15:19 Thomas Deutschmann
2018-03-20 10:01 Agostino Sarubbo
2018-03-18 11:15 Sergei Trofimovich
2018-03-18 10:43 Sergei Trofimovich
2017-01-18  9:56 Mike Frysinger
2016-05-27 12:10 Tobias Klausmann
2016-05-23  4:30 Jeroen Roovers
2016-05-23  4:30 Jeroen Roovers
2016-03-19 16:32 Agostino Sarubbo
2016-01-18  8:40 Joshua Kinard
2015-11-17 11:10 Lars Wendler
2015-11-17 11:10 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1630975658.69bd2ce367456bdf7529578030ffbf7b454a0e1f.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox